<?php
/*
 * This file is a part of Mibew Messenger.
 *
 * Copyright 2005-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace JustBlackBird\HandlebarsHelpers;

use Handlebars\Helpers as BaseHelpers;

/**
 * Contains all helpers.
 *
 * @author Dmitriy Simushev <simushevds@gmail.com>
 */
class Helpers extends BaseHelpers
{
    /**
     * {@inheritdoc}
     */
    protected function addDefaultHelpers()
    {
        parent::addDefaultHelpers();

        // Date helpers
        $this->add('formatDate', new Date\FormatDateHelper());

        // Comparison helpers
        $this->add('ifAny', new Comparison\IfAnyHelper());
        $this->add('ifEqual', new Comparison\IfEqualHelper());
        $this->add('ifEven', new Comparison\IfEvenHelper());
        $this->add('ifOdd', new Comparison\IfOddHelper());
        $this->add('unlessEqual', new Comparison\UnlessEqualHelper());

        // String helpers
        $this->add('lowercase', new String\LowercaseHelper());
        $this->add('uppercase', new String\UppercaseHelper());
        $this->add('repeat', new String\RepeatHelper());
        $this->add('replace', new String\ReplaceHelper());
        $this->add('truncate', new String\TruncateHelper());

        // Layout helpers
        $storage = new Layout\BlockStorage();
        $this->add('block', new Layout\BlockHelper($storage));
        $this->add('extends', new Layout\ExtendsHelper($storage));
        $this->add('override', new Layout\OverrideHelper($storage));
        $this->add('ifOverridden', new Layout\IfOverriddenHelper($storage));
        $this->add('unlessOverridden', new Layout\UnlessOverriddenHelper($storage));
    }
}
