<?php
/*
 * This file is a part of Mibew Messenger.
 *
 * Copyright 2005-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace JustBlackBird\HandlebarsHelpers\Tests\Layout;

use JustBlackBird\HandlebarsHelpers\Layout\BlockStorage;

/**
 * Test class for BlockStorage.
 *
 * @author Dmitriy Simushev <simushevds@gmail.com>
 */
class BlockStorageTest extends \PHPUnit_Framework_TestCase
{
    /**
     * Tests basic operations with storage.
     */
    public function testBasicOperations()
    {
        $storage = new BlockStorage();
        $this->assertFalse($storage->has('test'));
        $storage->set('test', 'content');
        $this->assertTrue($storage->has('test'));
        $this->assertEquals($storage->get('test'), 'content');
        $storage->set('test', 'another content');
        $this->assertEquals($storage->get('test'), 'another content');
        $storage->remove('test');
        $this->assertFalse($storage->has('test'));
        $storage->set('test', 'content');
        $storage->set('another_test', 'content');
        $storage->clear();
        $this->assertFalse($storage->has('test'));
        $this->assertFalse($storage->has('another_test'));
    }
}
