<?php
/*
 * This file is a part of Mibew Messenger.
 *
 * Copyright 2005-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace UAParser\Exception;

use Exception;

class FileNotFoundException extends Exception
{
    public static function fileNotFound($file)
    {
        return new static(sprintf('File "%s" does not exist', $file));
    }

    public static function customRegexFileNotFound($file)
    {
        return new static(
            sprintf(
                'ua-parser cannot find the custom regexes file you supplied ("%s"). Please make sure you have the correct path.',
                $file
            )
        );
    }

    public static function defaultFileNotFound($file)
    {
        return new static(
            sprintf(
                'Please download the "%s" file before using ua-parser by running "php bin/uaparser.php ua-parser:update"',
                $file
            )
        );
    }
}
