<?php
/*
 * This file is a part of Mibew Messenger.
 *
 * Copyright 2005-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace UAParser\Result;

use PHPUnit_Framework_TestCase as AbstractTestCase;
use UAParser\Result\UserAgent;

class OperatingSystemTest extends AbstractTestCase
{
    /** @var UserAgent */
    private $userAgent;

    public function setUp()
    {
        $this->userAgent = new UserAgent();
    }

    public function testBugWith0InVersion()
    {
        $this->userAgent->major = 0;
        $this->userAgent->minor = 0;
        $this->userAgent->patch = 0;

        $this->assertSame('0.0.0', $this->userAgent->toVersion());
        $this->assertSame('Other 0.0.0', $this->userAgent->toString());
    }
}
