<?php
/*
 * This file is a part of Mibew Messenger.
 *
 * Copyright 2005-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace UAParser\Util;

use PHPUnit_Framework_TestCase as AbstractTestCase;
use UAParser\Util\Fetcher;

/**
 * @group online
 */
class FetcherTest extends AbstractTestCase
{
    public function testFetchSuccess()
    {
        $fetcher = new Fetcher();
        $this->assertInternalType('string', $fetcher->fetch());
    }

    public function testFetchError()
    {
        $fetcher = new Fetcher(
            stream_context_create(
                array(
                    'ssl' => array(
                        'verify_peer' => true,
                        'CN_match'    => 'invalid.com',
                    )
                )
            )
        );

        $this->setExpectedException(
            'UAParser\Exception\FetcherException',
            'Could not fetch HTTP resource "https://raw.githubusercontent.com/ua-parser/uap-core/master/regexes.yaml": file_get_contents(https://raw.githubusercontent.com/ua-parser/uap-core/master/regexes.yaml): failed to open stream: operation failed'
        );

        $fetcher->fetch();
    }
}
